import { UmbLitElement } from '../../lit-element/index.js';
import type { UmbNumberRangeValueType } from '../../models/index.js';
declare const UmbInputNumberRangeElement_base: import("../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../validation/index.js").UmbFormControlMixinElement<FormDataEntryValue | FormData | undefined>> & typeof UmbLitElement;
export declare class UmbInputNumberRangeElement extends UmbInputNumberRangeElement_base {
    #private;
    minLabel: string;
    maxLabel: string;
    private _minValue?;
    set minValue(value: number | undefined);
    get minValue(): number | undefined;
    required: boolean;
    requiredMessage: string;
    private _maxValue?;
    set maxValue(value: number | undefined);
    get maxValue(): number | undefined;
    set validationRange(value: UmbNumberRangeValueType | undefined);
    get validationRange(): UmbNumberRangeValueType | undefined;
    private _minPlaceholder;
    private _maxPlaceholder;
    set value(valueString: string | undefined);
    get value(): string | undefined;
    constructor();
    firstUpdated(): void;
    focus(): Promise<void> | undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult;
}
export default UmbInputNumberRangeElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-number-range': UmbInputNumberRangeElement;
    }
}
